varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;
uniform vec3 color1;
uniform vec3 color2;
uniform float maxPct;
uniform float u_opacity;
uniform float top_opacity;
uniform float bottom_opacity;


void main()
{
    vec4 color = texture2D(u_texture, v_texCoord);
    gl_FragColor = mix(vec4(color1.r, color1.g, color1.b, color.a * u_opacity * top_opacity),
                       vec4(color2.r, color2.g, color2.b, color.a * u_opacity * bottom_opacity),
                       1.0 - (v_texCoord.y / maxPct));
}
