#ifdef GL_ES
precision mediump float;
#endif

varying lowp vec2 v_texCoord;
uniform float u_1;
uniform vec3 u_color;


bool isBetween(float val_, float min_, float max_)
{
    return val_ >= min_ && val_ <= max_;
}

void main()
{
    gl_FragColor =
        isBetween(v_texCoord.x + ((v_texCoord.y - 0.5) * 0.15), 0.487, 0.513) &&
        abs(v_texCoord.y - 0.5) < u_1 ?
        vec4(u_color.r, u_color.g, u_color.b, 1.0) : vec4(0.0, 0.0, 0.0, 0.0);
}
