varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform vec3 u_1;

void main()
{
    vec4 color = texture2D(u_texture, v_texCoord);
    float weight;
    if (v_texCoord.y < 0.5)
    {
        float weight = 2.0 * (0.5 - v_texCoord.y);
        vec3 mixed = mix(vec3(mix(vec3(1.), u_1, 0.7)), u_1, weight);
        gl_FragColor = vec4(mixed, color.a);
    }
    else
    {
        float weight = 2.0 * (v_texCoord.y - 0.5);
        vec3 mixed = mix(vec3(mix(vec3(0.), u_1, 0.8)), u_1, weight);
        gl_FragColor = vec4(mixed, color.a);
    }
}
