#ifdef GL_ES
precision lowp float;
#endif

varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;
uniform sampler2D u_pattern;

void main()
{
    vec4 colorT = texture2D(u_texture, v_texCoord);
    vec4 colorP = texture2D(u_pattern, v_texCoord);
    gl_FragColor = vec4(colorP.r, colorP.g, colorP.b, colorP.a * colorT.a);
}
