#ifdef GL_ES
precision mediump float;
#endif

varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_1;


void main()
{
    vec4 color = texture2D(u_texture, v_texCoord.xy);
    if (u_1 < 1.5)
    {
        gl_FragColor = mix(color, vec4(0.0, 0.0, 0.0, 0.0), 2.0 * abs(v_texCoord.x - u_1));
    }
    else
    {
        gl_FragColor = vec4(color.r, color.g, color.b, color.a * (u_1 - 1.5));
    }
}
