#ifdef GL_ES
precision mediump float;
#endif

varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_1;


void main()
{
    float x = v_texCoord.x - 0.5 * (1.0 - u_1);
    gl_FragColor = v_texCoord.x <= u_1 && x >= 0.0 ? texture2D(u_texture, vec2(x, v_texCoord.y)) : vec4(0.0, 0.0, 0.0, 0.0);
}
